apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ingress-rocky-app
  namespace: rocky-app
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /
    nginx.ingress.kubernetes.io/ssl-redirect: "false"
spec:
  ingressClassName: nginx
  rules:
  - host: "app.opensovereigncloud.com"
    http:
      paths:
      - pathType: Prefix
        path: "/rocky"
        backend:
          service:
            name: rocky1-service
            port:
              number: 8080

